;
; =======================================================
;
;   RZ1_350.asm     Axiom RZ1 Test 
;                                 
;   Version:        1.0   Released 01/17/2005
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       As12
;       
;   Platform:       DEMO9S12XDT512
;   Purpose:        RZ1 Subroutines
; 
; =======================================================
;
;  RZ1 Routines PAD05
;  
;  Analog channel 5 =  RZ1
;
; Test RZ1
RZ1_Tst:
            jsr    M_CRLF
            jsr    M_CRLF
            jsr    String2
            fdb    MRZ1        ; RZ1
            fdb    MTest       ; Test
            jsr    M_CRLF
            jsr    String4     ; Apply Light to RZ1
            fdb    MApply
            fdb    MLight
            fdb    Mto
            fdb    MRZ1
;            jsr    PKEY        ; press any key

            
RZ1Loop:
            jsr    M_CRLF
            jsr    AnRdCh4     ; read analog result
            anda   #$03        ; get any analog value
            cpd    #$00ff      ; compare to low value
            blo    RZ1Nt1
            jsr    HEX2        ; print results
            tba                ; move b to a
            jsr    HEX2        ; print results
            jsr    DelayX4     ; delay
            bra    RZ1Loop 
RZ1Nt1:
            jsr    M_CRLF      ; skip line
            jsr    M_CRLF
            jsr    String3     ; Cover up RZ1 
            fdb    MCover
            fdb    Mup
            fdb    MRZ1
;            jsr    PKEY

RZ1Loop2:
            jsr    M_CRLF
            jsr    AnRdCh4     ; read analog result
            anda   #$03        ; get any analog value
            cpd    #$02ff      ; compare to maximum
            bhi    RZ1Nt2
            jsr    HEX2        ; print results
            tba                ; move b to a
            jsr    HEX2        ; print results
            jsr    DelayX4     ; delay
            bra    RZ1Loop2 
RZ1Nt2:

            lbra   Menu
;
;
;
;
;