;
; ==================================================
;
;   LEDS_350.asm		LEDS Test
;
;   Version:		1.0   12/14/04
;   Author:  		Gary karnes
;   Compiler:		AS12
;
;   Platform:		DEMO9S12XDT512
;   Purpose:		Test LEDS 
; ===================================================
;


LED1:	      equ $10		; LED1 on
LED2:  	equ $20		; LED2 on
LED3:	      equ $40		; LED3 on
LED4:	      equ $80		; LED4 on



LEDS_Tst:


;LEDON:

      jsr   M_CRLF
      jsr   String2
      fdb   MLEDS             ; LEDS
      fdb   MTest             ; Test
      jsr   M_CRLF
      jsr   String3
      fdb   MVerify
      fdb   MLEDS             ; LEDS
      fdb   MOff              ; Off
      bset  PORTB,LED1+LED2+LED3+LED4    ; turn all LEDS off
	jsr   Sci_In	   ; wait for operator

      jsr   M_CRLF
      jsr   String3
      fdb   MVerify
      fdb   MLED1             ; LED1
      fdb   MOn               ; On
      bclr   PORTB,$10     ; turn on LED1
      jsr   Sci_In         ; wait for operator


      jsr   M_CRLF
      jsr   String3
      fdb   MVerify
      fdb   MLED2             ; LED2
      fdb   MOn               ; On
      bclr   PORTB,$20     ; turn on LED2
      jsr    Sci_In        ; wait for operator


      jsr   M_CRLF
      jsr   String3
      fdb   MVerify
      fdb   MLED3             ; LED3
      fdb   MOn               ; On
      bclr   PORTB,$40     ; turn on LED3
      jsr    Sci_In        ; wait for operator


      jsr   M_CRLF
      jsr   String3
      fdb   MVerify
      fdb   MLED4             ; LED4
      fdb   MOn               ; On
      bclr   PORTB,$80     ; turn on LED4
      jsr    Sci_In        ; wait for operator


	lbra Menu		   ; Quit	



; ========== SUB-ROUTINES ===============================

DELAYx:

	psha			; store A
	pshx			; store X

	ldaa #$02		; outer loop count
DLYOx:
	ldx #$FFFF		; inner loop count
DLYIx:	dex			; X = X-1
	bne DLYIx		; inner delay loop
	deca
	bne DLYOx		; outer delay loop

	pulx			; restore X
	pula			; restore A

	rts			; return

;
;